## view.xhtml
Class SubmitInput

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.EmptyElement
                  view.xhtml.Input
                      view.xhtml.SubmitInput

    public class SubmitInput

extends Input

Nested Class Summary

Nested classes/interfaces inherited from class view.xhtml.Input
`Input.InputType`

Constructor Summary
`SubmitInput(java.lang.String caption)` Consturcts the element.

Method Summary

Methods inherited from class view.xhtml.EmptyElement
`getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubmitInput

    public SubmitInput(java.lang.String caption)

  Consturcts the element.

  Parameters:
    `caption` - a caption for the element.